/*
                SAR Simulation Operations and Procedures

	Most of these functions are procedures called by the front end
	functions in simmanage.c
 */

#ifndef SIMOP_H
#define SIMOP_H

#include "obj.h"

extern double SARSimFindGround(
        sar_scene_struct *scene,
        sar_object_struct **ptr, int total,
        sar_position_struct *pos  
);

extern int SARSimDoMortality(
        sar_core_struct *core_ptr,
        sar_object_struct *obj_ptr
);

extern void SARSimSetSFMValues(
        sar_scene_struct *scene,  
        sar_object_struct *obj_ptr
);
extern void SARSimGetSFMValues(
        sar_scene_struct *scene,
        sar_object_struct *obj_ptr
);

extern int SARSimApplyNaturalForce(
        sar_core_struct *core_ptr,
        sar_object_struct *obj_ptr
);
extern int SARSimApplyArtificialForce(
        sar_core_struct *core_ptr,
        sar_object_struct *obj_ptr
);

extern void SARSimApplyGCTL(
        sar_core_struct *core_ptr,
        sar_object_struct *obj_ptr
);

#endif	/* SIMOP_H */
